import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["prefixCls", "disabled", "active", "loading", "block", "basic", "htmlType", "type", "size", "className", "children"];
import React from 'react';
import styles from "./style/index.module.css";
import "./style/index.css";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
export default function Button(props) {
  if (props === void 0) {
    props = {};
  }
  var {
      prefixCls = 'w-btn',
      disabled = false,
      active = false,
      loading = false,
      block = false,
      basic = false,
      htmlType = 'button',
      type = 'light',
      size = 'default',
      className,
      children
    } = props,
    others = _objectWithoutPropertiesLoose(props, _excluded);
  var cls = [className, prefixCls, styles.test, size ? prefixCls + "-" + size : false, type ? prefixCls + "-" + type : false, basic ? prefixCls + "-basic" : false, loading ? prefixCls + "-loading" : false, disabled || loading ? 'disabled' : false, active ? 'active' : false, block ? 'block' : false].filter(Boolean).join(' ');
  return /*#__PURE__*/_jsx("button", _extends({}, others, {
    disabled: disabled || loading,
    type: htmlType,
    className: cls,
    children: children && React.Children.map(children, child => {
      if ( /*#__PURE__*/React.isValidElement(child)) return child;
      return /*#__PURE__*/_jsxs("span", {
        children: [" ", child, " "]
      });
    })
  }));
}